%define upstream_name    PPI-XS
%define upstream_version 0.910

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    (Minor) XS acceleration for PPI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(PPI) >= 1.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
PPI::XS provides XS-based acceleration of the core PPI packages. It
selectively replaces a (small but growing) number of methods throughout PPI
with identical but much faster C versions.

Once installed, it will be auto-detected and loaded in by PPI completely
transparently.

Because the C implementations are linked to the perl versions of the same
function, it is preferable to upgrade PPI::XS any time you do a major
upgrade of PPI itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Sun Nov 26 2023 tv <tv> 0.910.0-10.mga10
+ Revision: 2009878
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.910.0-9.mga9
+ Revision: 1862311
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.910.0-8.mga9
+ Revision: 1796348
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.910.0-7.mga9
+ Revision: 1727036
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.910.0-6.mga8
+ Revision: 1595143
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.910.0-5.mga8
+ Revision: 1530017
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.910.0-4.mga8
+ Revision: 1433878
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.910.0-3.mga7
+ Revision: 1293643
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.910.0-2.mga7
+ Revision: 1249866
- Rebuild for perl 5.28

* Tue Dec 26 2017 shlomif <shlomif> 0.910.0-1.mga7
+ Revision: 1185329
- update to 0.910

* Tue Oct 03 2017 tv <tv> 0.904.0-4.mga7
+ Revision: 1166357
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.904.0-3.mga7
+ Revision: 1149917
- Rebuild for perl ABI changes

* Thu Aug 31 2017 pterjan <pterjan> 0.904.0-2.mga7
+ Revision: 1149111
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.904.0-1.mga7
+ Revision: 1130040
- update to 0.904
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.902.0-12.mga6
+ Revision: 1032688
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.902.0-11.mga6
+ Revision: 957889
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.902.0-10.mga6
+ Revision: 845153
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.902.0-9.mga6
+ Revision: 841785
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.902.0-8.mga5
+ Revision: 790007
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.902.0-7.mga5
+ Revision: 740666
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.902.0-6.mga5
+ Revision: 733328
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.902.0-5.mga5
+ Revision: 685844
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.902.0-4.mga5
+ Revision: 632311
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.902.0-2.mga4
+ Revision: 527715
- Mageia 4 Mass Rebuild

* Tue Jun 11 2013 jquelin <jquelin> 0.902.0-1.mga4
+ Revision: 441911
- update to 0.902

* Wed May 29 2013 jquelin <jquelin> 0.901.0-11.mga4
+ Revision: 432287
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.901.0-10.mga4
+ Revision: 432150
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.901.0-9.mga3
+ Revision: 371333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 jquelin <jquelin> 0.901.0-8.mga3
+ Revision: 269468
- fix defined warnings (rt#76561)

* Wed May 30 2012 jquelin <jquelin> 0.901.0-7.mga3
+ Revision: 251081
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.901.0-6.mga2
+ Revision: 104922
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.901.0-5.mga1
+ Revision: 34107
- mageia rebuild
- imported package perl-PPI-XS

